### supportutils-parser

Salt event logs can be very big and difficult to visually scan for errors.

This tool extract errors from the events log by looking for chunks with "success: false"
or "result: false"

Example:

```sh
$ misc-tools/supportutils-parser nts_caasp-admin_180111_1705/velum-salt-events.yml
```

Optionally retrieves Salt events from tarballs generated by Support Utils. Example:

```sh
$ misc-tools/supportutils-parser nts_caasp-admin_180111_1705.tbz
```

#### Options:

 -w    write <input basename>.salt_failures
 -i    ignore missing velum-salt-events.yml in tarball

#### Example output:

The first line with ">>>" in it indicates the location of the error in the yaml tree.

```
----------------------------------------
runner.state.orchestrate >>> salt_|-services_setup_|-services_setup_|-state
__id__: services_setup
__jid__: '20180112123055365837'
__run_num__: 19
changes: {}
comment: >-
  Run failed on minions: c654f5b3e01849d687e6472ab0aed82d

  Failures:
      c654f5b3e01849d687e6472ab0aed82d:
      ----------
                ID: /etc/zypp/repos.d/containers.repo
          Function: file.managed
            Result: True
           Comment: File /etc/zypp/repos.d/containers.repo is not present and is not
  set for creation
           Started: 12:30:56.372048
[...continues...]
```

